# TdApi.SetCommands (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: SetCommands

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SetCommands

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.SetCommands

Enclosing class:
  TdApi

public static final class TdApi.SetCommands extends TdApi.Function<TdApi.Ok>
Sets the list of commands supported by the bot for the given user scope and language; for bots only. Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.BotCommand[]`
`commands`
List of the bot's commands.
`static final int`
`CONSTRUCTOR`
`String`
`languageCode`
A two-letter ISO 639-1 language code.
`TdApi.BotCommandScope`
`scope`
The scope to which the commands are relevant; pass null to change commands in the default bot command scope.

## Constructor Summary

Constructors
Constructor
Description
`SetCommands()`
Sets the list of commands supported by the bot for the given user scope and language; for bots only.
`SetCommands(TdApi.BotCommandScope scope, String languageCode, TdApi.BotCommand[] commands)`
Sets the list of commands supported by the bot for the given user scope and language; for bots only.
`SetCommands(DataInput input)`
Sets the list of commands supported by the bot for the given user scope and language; for bots only.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### scope

public TdApi.BotCommandScope scope
The scope to which the commands are relevant; pass null to change commands in the default bot command scope.

### languageCode

public String languageCode
A two-letter ISO 639-1 language code. If empty, the commands will be applied to all users from the given scope, for which language there are no dedicated commands.

### commands

public TdApi.BotCommand[] commands
List of the bot's commands.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### SetCommands

public SetCommands()
Sets the list of commands supported by the bot for the given user scope and language; for bots only. Returns `Ok`

### SetCommands

public SetCommands(TdApi.BotCommandScope scope, String languageCode, TdApi.BotCommand[] commands)
Sets the list of commands supported by the bot for the given user scope and language; for bots only. Returns `Ok`

Parameters:
  `scope` - BotCommandScope The scope to which the commands are relevant; pass null to change commands in the default bot command scope.
  `languageCode` - String A two-letter ISO 639-1 language code. If empty, the commands will be applied to all users from the given scope, for which language there are no dedicated commands.
  `commands` - BotCommand[] List of the bot's commands.

### SetCommands

public SetCommands(DataInput input) throws IOException
Sets the list of commands supported by the bot for the given user scope and language; for bots only. Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`